# INTRODUCTION

The Translation String Import module provides drush commands and an API to add UI translations.

- For a full description of the module, visit the project page:
  https://www.drupal.org/project/tsi

- To submit bug reports and feature suggestions, or to track changes:
  https://www.drupal.org/project/issues/tsi

## INSTALLATION

- Install as you would normally install a contributed Drupal module. Visit
  https://www.drupal.org/node/1897420 for further information.

## USAGE
Translation String Import command needs the following parameters:
- source: the source string, you want to translate.
- translated: the translated string.
- langcode: the target langcode.
- context: context of the translation (optional).

### Drush
Add a single string translation:
``drush tsi "Hello" "Hallo" "de"``

### Deploy Hook
In a deploy hook use it like this:
```
function mymodule_deploy_xy() {
  \Drupal::service('tsi.service')->addTranslation('Hello', 'Hallo', 'de');
}
```
