<?php

namespace Drupal\tsi;

/**
 * Interface TsiServiceInterface.
 */
interface TsiServiceInterface {

  /**
   * Adds a translation.
   *
   * @param string $source
   *   The source string.
   * @param string $translated
   *   The translated string.
   * @param string $langcode
   *   The langcode.
   * @param string $context
   *   The context of the translation (default = '')
   *
   */
  public function addTranslation($source, $translated, $langcode, $context = '');

  /**
   * @param string $source
   *   The source string.
   * @param string $translated
   *   The translated string.
   * @param string $source2
   *   The 2nd source string.
   * @param string $translated2
   *   The 2nd translated string.
   * @param string $langcode
   *   The langcode.
   * @param string $context
   *   The context of the translation (default = '')
   *
   * @throws \Drupal\locale\StringStorageException
   */
  public function addPlural($source, $translated, $source2, $translated2, $langcode, $context = '');

}
