<?php

use Drupal\KernelTests\KernelTestBase;
use Drupal\language\Entity\ConfigurableLanguage;

/**
 * Class TsiApiTest.
 */
class TsiApiTest extends KernelTestBase {

  /**
   * {@inheritdoc}
   */
  public static $modules = [
    'tsi',
    'language',
    'locale',
  ];

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();

    // Add a default locale storage for all these tests.
    $this->storage = $this->container->get('locale.storage');
    // Create two languages: Spanish and German.
    foreach (['es', 'de'] as $langcode) {
      ConfigurableLanguage::createFromLangcode($langcode)->save();
    }
    $this->installSchema('locale', [
      'locales_location',
      'locales_source',
      'locales_target',
    ]);
  }

  /**
   * Test that a translation 'foo' => 'bar' works.
   */
  public function testTsi() {
    $this->assertEquals('Hallo', t('Hello', [], ['langcode' => 'de'])->__toString());
    /** @var \Drupal\tsi\TsiServiceInterface $tsi_service */
    $tsi_service = \Drupal::service('tsi.service');
    $tsi_service->addTranslation('Hello', 'Hallo', 'de');

    // @todo: Find out why we need this...
    drupal_flush_all_caches();
    $this->assertEquals('Hallo', t('Hello', [], ['langcode' => 'de'])->__toString());
  }


}
